Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.deployment.jboss
Class ThemeDeploymentFactory

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
          org.jboss.portal.theme.deployment.jboss.ThemeDeploymentFactory

All Implemented Interfaces:
  org.jboss.portal.common.net.URLFilter, DeploymentFactory

    public class ThemeDeploymentFactory

extends AbstractDeploymentFactory

Create a new Theme Deployer.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner

Field Summary
`protected static java.util.regex.Pattern` | `URL_PATTERN`

Fields inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`deployer, log, name, registrationControlledByService, setupLocation, setupURL`

Constructor Summary
`ThemeDeploymentFactory()`

Method Summary
`boolean` | `acceptFile(java.net.URL url)`
`ThemeService` | `getThemeService()`
`Deployment` | `newInstance(java.net.URL url, PortalWebApp pwa, javax.management.MBeanServer mbeanServer)` Create a new instance of the deployment.
`void` | `setThemeService(ThemeService themeService)`

Methods inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`acceptDir, create, destroy, getDeployer, getName, getSetupLocation, getSetupURL, isRegistrationControlledByService, registerFactory, setDeployer, setRegistrationControlledByService, setSetupLocation, start, stop, unregisterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PATTERN

    protected static final java.util.regex.Pattern URL_PATTERN

Constructor Detail

### ThemeDeploymentFactory

    public ThemeDeploymentFactory()

Method Detail

### acceptFile

    public boolean acceptFile(java.net.URL url)

### newInstance

    public Deployment newInstance(java.net.URL url,
                                  PortalWebApp pwa,
                                  javax.management.MBeanServer mbeanServer)
                           throws org.jboss.deployment.DeploymentException

  Description copied from interface: `DeploymentFactory`
  Create a new instance of the deployment.

  Parameters:
    `url` - the URL of the file to deploy
    `pwa` - the web application that contains the file to deploy or null if it does not exist
    `mbeanServer` - the JMX mbean server
  Returns:
    a deployment ready to be processed
  Throws:
    `org.jboss.deployment.DeploymentException` - if the deployment cannot be created

### getThemeService

    public ThemeService getThemeService()

### setThemeService

    public void setThemeService(ThemeService themeService)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD